<template>
  <rui-drawer v-show="showDrawer"
              position="right"
              caption="Title"
              @close="showDrawer = false">
    <template #actions>
      This is the <code>actions</code> slot
      <rui-button variant="destructive" caption="Do something" />
    </template>

    Lorem ipsum dolor sit amet, consectetur adipisicing elit.
  </rui-drawer>

  <rui-button caption="Show drawer" @click="showDrawer = true" />
</template>

<script>
export default {
  data () {
    return {
      showDrawer: false,
    }
  },
}
</script>
